package ar.edu.unju.fi.soo.champions;

import java.util.List;

import org.junit.jupiter.api.AfterEach;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import ar.edu.unju.fi.soo.champions.service.SoccerService;
import ar.edu.unju.fi.soo.champions.service.dto.request.PlayerDTO;

@SpringBootTest
class SoccerTestCase {
	@Autowired
	SoccerService soccerService;

	@BeforeAll
	static void setUpBeforeClass() throws Exception {
	}

	@BeforeEach
	void setUp() throws Exception {
	}

	@AfterEach
	void tearDown() throws Exception {
	}

	@Test
	void test() {
		PlayerDTO dto = new PlayerDTO();
		dto.setName("Xavi Hernandez");
		dto.setPosition("Midfielder");
		dto.setNumber(6);
		dto.setTeamId(1L);
		soccerService.addPlayerToTeam(dto);

		List<PlayerDTO> players = soccerService.getAllTeamPlayers(1);
		for (PlayerDTO player : players) {
			System.out.println("Introducing Barca player => " + player.getName());
		}
	}

}
